Summary: A Free IPSEC implemetation
Name: freeswan
Version: 1.95
Release: 2mdk
Source0: %{name}-%{version}.tar.gz
# (fg) 20010314 FIXME - HACK - this is a modified version of the initscript for
# ipsec, but it's far from being fully converted!
Source1: freeswan.init
Source2: %{SOURCE0}.sig
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gmp-devel
Prefix: %{_prefix}
URL: https://www.freeswan.org/
Prereq: /sbin/chkconfig
#Patch: freeswan-1.8-Makefile.patch.bz2
#Patch1: freeswan-1.8-config.patch.bz2

%description
The basic idea of IPSEC is to provide security functions
(authentication and encryption) at the IP (Internet Protocol)
level. It will be required in IP version 6 (better known as IPng,
the next generation) and is optional for the current IP, version 4.

FreeS/WAN is a freely-distributable implementation of IPSEC protocol.

%prep
%setup -q
#%patch -p1
#%patch1 -p1

%build
%serverbuild
%make OPT_FLAGS="$RPM_OPT_FLAGS" CONFDIR=/etc/freeswan/ INC_USRLOCAL=/usr INC_MANDIR=share/man programs

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/freeswan,/etc/rc.d/init.d,/var/run/pluto}

# we use /etc/freeswan instead of /etc
grep -r /etc/ipsec.secrets * | awk '{ print $1 }' | sed -e 's|:.*$|\1|' | xargs perl -p -i -e 's|/etc/ipsec.secrets|/etc/freeswan/ipsec.secrets|';
grep -r /etc/ipsec.conf * | awk '{ print $1 }' | sed -e 's|:.*$|\1|' | xargs perl -p -i -e 's|/etc/ipsec.conf|/etc/freeswan/ipsec.conf|';

make install \
	INC_USRLOCAL=/usr \
	INC_MANDIR=share/man \
	CONFDIR="%buildroot"/etc/freeswan \
	DESTDIR="%buildroot"

# (fg) File is copied over here
cp -f %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/ipsec

%post
is=%{_sysconfdir}/freeswan/ipsec.secrets; if [ ! -f $is ]; then ipsec newhostkey >$is && chmod 400 $is; fi

%_post_service ipsec 

%preun
%_preun_service ipsec

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%dir %{_sysconfdir}/freeswan
%config(noreplace) %{_sysconfdir}/freeswan/ipsec.conf
%config(noreplace) %{_initrddir}/ipsec
%{_libdir}/ipsec
%{_sbindir}/ipsec
%{_mandir}/*/*

%changelog
* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.95-2mdk
- fix the conf files problem

* Wed Feb 27 2002 Florin <florin@mandrakesoft.com> 1.95-1mdk
- 1.95
- leave the sources in gz format
- add the signature file (source2)
- new initscript

* Wed Aug 29 2001 Sylvain de Tilly <sdetilly@mandrakesoft.com> 1.91-3mdk
- change config file in /usr/lib/ipsec/showhostkey :
	/etc/ipsec.secrets to /etc/freeswan/ipsec.secrets
- change "hostname --fqdn" by "hostname" in /usr/lib/ipsec/showhostkey

* Tue Jul 31 2001 Sylvain de Tilly <sdetilly@mandrakesoft.com> 1.91-2mdk
- Add ipsec mini-howto in html and sgml format.

* Wed Jul 18 2001 Sylvain de Tilly <sdetilly@mandrakesofr.com> 1.91-1mdk
- update 1.9 to 1.9.1

* Sun Apr  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.9-2mdk
- use server macros

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9-1mdk
- 1.9.

* Wed Mar 14 2001 Francis Galiegue <fg@mandrakesoft.com> 1.8-2mdk
- Modified init.d script to "feel like" Mandrake - HACK - please improve it
- More macros

* Tue Jan 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> VERSION-1mdk
- 


# end of file
